org.springframework.data.relational.core.conversion

## Class DbAction.DeleteRoot<T>

- java.lang.Object
- - org.springframework.data.relational.core.conversion.DbAction.DeleteRoot<T>

Type Parameters:
  `T` - type of the entity for which this represents a database interaction.

All Implemented Interfaces:
  DbAction<T>

Enclosing interface:
  DbAction<T>

    public static final class DbAction.DeleteRoot<T>
    extends Object
    implements DbAction<T>

Represents a delete statement for a aggregate root when only the ID is known.

Note that deletes for contained entities that reference the root are to be represented by separate `DbAction`s.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.springframework.data.relational.core.conversion.DbAction

`DbAction.AcquireLockAllRoot<T>, DbAction.AcquireLockRoot<T>, DbAction.Delete<T>, DbAction.DeleteAll<T>, DbAction.DeleteAllRoot<T>, DbAction.DeleteRoot<T>, DbAction.Insert<T>, DbAction.InsertRoot<T>, DbAction.Merge<T>, DbAction.Update<T>, DbAction.UpdateRoot<T>, DbAction.WithDependingOn<T>, DbAction.WithEntity<T>, DbAction.WithGeneratedId<T>, DbAction.WithPropertyPath<T>`

### Constructor Summary

Constructors
Constructor and Description
`DeleteRoot(Object id, Class<T> entityType, Number previousVersion)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<T>` `getEntityType()`
`Object` `getId()`
`Number` `getPreviousVersion()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeleteRoot

    public DeleteRoot(Object id,
                      Class<T> entityType,
                      @Nullable
                      Number previousVersion)

### Method Detail

#### getId

    public Object getId()

#### getEntityType

    public Class<T> getEntityType()

Specified by:
  `getEntityType` in interface `DbAction<T>`

#### getPreviousVersion

    @Nullable
    public Number getPreviousVersion()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`